from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from scrapy.conf import settings


class Connector:
    connection = None
    engine = create_engine(settings['CONNECTION_STRING'])
    Session = sessionmaker(bind=engine)

    @staticmethod
    def get_session():
        return Connector.Session()

    @staticmethod
    def get_connection():
        if not Connector.connection:
            Connector.connection = Connector.engine.connect()
        return Connector.connection
